javax.persistence.jdbc.driver=org.h2.Driver
javax.persistence.jdbc.url=jdbc:h2\:mem\:testdb;DB_CLOSE_DELAY=-1;INIT=RUNSCRIPT FROM 'classpath:create-schema.sql'
javax.persistence.jdbc.user=sa
javax.persistence.jdbc.password=


hibernate.hbm2ddl.auto=update
hibernate.dialect=org.hibernate.dialect.H2Dialect
hibernate.show_sql=false
hibernate.format_sql=false
hibernate.connection.charSet=utf8
hibernate.cache.use_second_level_cache=false
hibernate.cache.use_query_cache=false
hibernate.cache.use_structured_entries=false
hibernate.generate_statistics=false
mosip.supported-languages=eng,ara,fra
mosip.kernel.prid.length=14
preregistration.document.extention=PDF
spring.servlet.multipart.max-file-size=-1
spring.servlet.multipart.max-request-size=-1
max.file.size=5
groupId.length=12
server.port=9093

mosip.kernel.virus-scanner.host=104.211.200.46
mosip.kernel.virus-scanner.port=3310

auth.server.validate.url=https://dev.mosip.io/authmanager/v1.0/authorize/validateToken

version=1.0

# Name node url for HDFS
mosip.kernel.fsadapter.hdfs.name-node-url=hdfs://104.211.240.243:51000

# Key Distribution Center domain for Kerberos
mosip.kernel.fsadapter.hdfs.kdc-domain=NODE-MASTER.SOUTHINDIA.CLOUDAPP.AZURE.COM

# Username to access hdfs. Change this to application username (regprocessor,prereg or idrepo)
mosip.kernel.fsadapter.hdfs.user-name=prereg

# Password for hdfs user
mosip.kernel.fsadapter.hdfs.user-pass=Mosip@dev123

# HDFS log level. Change this to debug to see hdfs logs
logging.level.org.apache.hadoop=warn

demographic.service.version=v0.1
demographic.service.env=demographic
swagger.dns.url=http://localhost
dev.dns.url=https://dev.mosip.io
demographic.resource.url=${swagger.dns.url}:9092/pre-registration/${demographic.service.version}/${demographic.service.env}
notificationUtil=


#Pre-registration Id length
prereg_id.length=16

#Kernel Service URL for Encryption and decryption
cryptoResource.url=${dev.dns.url}/cryptomanager/v1.0

#Kernel service URL for Audit logging
audit.url=${dev.dns.url}/auditmanager/v1.0/audits

#Kernel service URL for fetching templates
resource.template.url=${dev.dns.url}/masterdata/v1.0/templates

#Kernel service URL for sending emails
emailResourse.url=${dev.dns.url}/emailnotifier/v1.0/email/send

#Kernel service URL for sending sms
smsResourse.url=${dev.dns.url}/smsnotifier/v1.0/sms/send
# UTC ISO Date Time Pattern
mosip.utc-datetime-pattern=yyyy-MM-dd'T'HH:mm:ss.SSS'Z'

email.acknowledgement.template=Email-Acknowledgement
email.acknowledgement.subject.template=Acknowledgement-email-subject
sms.acknowledgement.template=SMS-Acknowledgement

preregistration.preid.regex=[0-9]+

mosip.kernel.prid.length=14

mosip.id.validation.identity.email=^[\\w-\\+]+(\\.[\\w]+)*@[\\w-]+(\\.[\\w]+)*(\\.[a-z]{2,})$

mosip.id.validation.identity.phone=^([6-9]{1})([0-9]{9})$


auth.server.validate.url=https://dev.mosip.io/authmanager/v1.0/authorize/validateToken 

mosip.preregistration.document.upload.id=mosip.pre-registration.document.upload
mosip.preregistration.document.copy.id=mosip.pre-registration.document.copy
mosip.preregistration.document.fetch.metadata.id=mosip.pre-registration.document.fetch.metadata
mosip.preregistration.document.fetch.content.id=mosip.pre-registration.document.fetch.content
mosip.preregistration.document.delete.id=mosip.pre-registration.document.delete
mosip.preregistration.document.delete.specific.id=mosip.pre-registration.document.delete.specific